
# Copyright 2021 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, ament-cmake, ament-cmake-copyright, ament-cmake-lint-cmake }:
buildRosPackage {
  pname = "ros-galactic-eigen3-cmake-module";
  version = "0.1.1-r3";

  src = fetchurl {
    url = "https://github.com/ros2-gbp/eigen3_cmake_module-release/archive/release/galactic/eigen3_cmake_module/0.1.1-3.tar.gz";
    name = "0.1.1-3.tar.gz";
    sha256 = "8f55994eb489f99c445cb8e3b67bad62851fe2e3f822b98dd7e7a4cd78b13341";
  };

  buildType = "ament_cmake";
  checkInputs = [ ament-cmake-copyright ament-cmake-lint-cmake ];
  nativeBuildInputs = [ ament-cmake ];

  meta = {
    description = ''Exports a custom CMake module to find Eigen3.'';
    license = with lib.licenses; [ asl20 ];
  };
}
