
# Copyright 2021 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, ament-copyright, ament-flake8, ament-pep257, pythonPackages, rclpy }:
buildRosPackage {
  pname = "ros-galactic-examples-rclpy-guard-conditions";
  version = "0.11.2-r1";

  src = fetchurl {
    url = "https://github.com/ros2-gbp/examples-release/archive/release/galactic/examples_rclpy_guard_conditions/0.11.2-1.tar.gz";
    name = "0.11.2-1.tar.gz";
    sha256 = "11502e1df639a2d9d381daf3fa1bfa327d8febe8b3735c97a335fe242b94772d";
  };

  buildType = "ament_python";
  checkInputs = [ ament-copyright ament-flake8 ament-pep257 pythonPackages.pytest ];
  propagatedBuildInputs = [ rclpy ];

  meta = {
    description = ''Examples of using guard conditions.'';
    license = with lib.licenses; [ asl20 ];
  };
}
