
# Copyright 2021 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, ament-cmake, git }:
buildRosPackage {
  pname = "ros-galactic-fmilibrary-vendor";
  version = "1.0.1-r2";

  src = fetchurl {
    url = "https://github.com/ros2-gbp/fmilibrary_vendor-release/archive/release/galactic/fmilibrary_vendor/1.0.1-2.tar.gz";
    name = "1.0.1-2.tar.gz";
    sha256 = "d5c1e8f8e03ee7397a292a320802937861d37de623b964d7aa21578fc5cb095f";
  };

  buildType = "ament_cmake";
  buildInputs = [ git ];
  nativeBuildInputs = [ ament-cmake ];

  meta = {
    description = ''Wrapper (aka vendor package) around the FMILibrary by Modelon AB (JModelica.org)'';
    license = with lib.licenses; [ bsdOriginal ];
  };
}
