
# Copyright 2021 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, gps-common, gpsd-client }:
buildRosPackage {
  pname = "ros-melodic-gps-umd";
  version = "0.3.1-r1";

  src = fetchurl {
    url = "https://github.com/swri-robotics-gbp/gps_umd-release/archive/release/melodic/gps_umd/0.3.1-1.tar.gz";
    name = "0.3.1-1.tar.gz";
    sha256 = "99bc4ec999dcb5c272bc5023d359aaf936de064abddf1e2b821f1dedc34b600a";
  };

  buildType = "catkin";
  propagatedBuildInputs = [ gps-common gpsd-client ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = ''gps_umd metapackage'';
    license = with lib.licenses; [ bsdOriginal ];
  };
}
