
# Copyright 2021 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, gazebo-dev, roslaunch, urdf, xacro }:
buildRosPackage {
  pname = "ros-melodic-heifu-description";
  version = "0.7.7-r2";

  src = fetchurl {
    url = "https://github.com/BV-OpenSource/heifu-release/archive/release/melodic/heifu_description/0.7.7-2.tar.gz";
    name = "0.7.7-2.tar.gz";
    sha256 = "3c72dc5fc4988fc7322aa406441a6890dc550b3cd4315f7775cd25a681346c0e";
  };

  buildType = "catkin";
  propagatedBuildInputs = [ gazebo-dev roslaunch urdf xacro ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = ''SDF robot description for HEIFU'';
    license = with lib.licenses; [ bsdOriginal ];
  };
}
