
# Copyright 2021 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, image-view, joy, joy-teleop }:
buildRosPackage {
  pname = "ros-melodic-heifu-tools";
  version = "0.7.7-r2";

  src = fetchurl {
    url = "https://github.com/BV-OpenSource/heifu-release/archive/release/melodic/heifu_tools/0.7.7-2.tar.gz";
    name = "0.7.7-2.tar.gz";
    sha256 = "20f3cbb6ee95a822f7f7ffadac6f9f8dadc2d22ab2e8350fa87658ff7f9bcab9";
  };

  buildType = "catkin";
  propagatedBuildInputs = [ image-view joy joy-teleop ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = ''Heifu Tools'';
    license = with lib.licenses; [ bsdOriginal ];
  };
}
