
# Copyright 2021 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, calibration-estimation, calibration-launch, catkin, hironx-moveit-config, kdl-parser, openni2-launch, orocos-kdl }:
buildRosPackage {
  pname = "ros-melodic-hironx-calibration";
  version = "2.2.0-r1";

  src = fetchurl {
    url = "https://github.com/tork-a/rtmros_hironx-release/archive/release/melodic/hironx_calibration/2.2.0-1.tar.gz";
    name = "2.2.0-1.tar.gz";
    sha256 = "13d0ab19563ad8f91a7091b091002e6eef15af25fcbb017575ed95e3bf19f749";
  };

  buildType = "catkin";
  propagatedBuildInputs = [ calibration-estimation calibration-launch hironx-moveit-config kdl-parser openni2-launch orocos-kdl ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = ''Launch and configuration files for calibrating hironx using the generic <a href="http://wiki.ros.org/calibration_setup_helper">calibration_setup_helper</a> package.

   THIS FILE IS AUTOMATICALLY GENERATED BY:<br/>
   <code>
   rosrun calibration_setup_helper calibration_setup_helper.py `rospack find hironx_moveit_config`/HiroNX.urdf --base-link CHEST_JOINT0_Link --arm-tip-link RARM_JOINT5_Link --head-tip-link HEAD_JOINT1_Link --arm-controller=rarm_controller/command --head-controller=head_controller/command --head-camera-frame camera_rgb_optical_frame --head-camera-joint head_to_kinect_joint
   </code>'';
    license = with lib.licenses; [ bsdOriginal ];
  };
}
