
# Copyright 2021 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, pr2eus }:
buildRosPackage {
  pname = "ros-melodic-jsk-pr2eus";
  version = "0.3.14-r3";

  src = fetchurl {
    url = "https://github.com/tork-a/jsk_pr2eus-release/archive/release/melodic/jsk_pr2eus/0.3.14-3.tar.gz";
    name = "0.3.14-3.tar.gz";
    sha256 = "bfe20ebd5febc154b2a7e052f41900e4eaf4f11890d79dc0428facf06fb855b8";
  };

  buildType = "catkin";
  propagatedBuildInputs = [ pr2eus ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = ''<p>Metapackage that contains robot eus client package for jsk-ros-pkg</p>'';
    license = with lib.licenses; [ bsdOriginal ];
  };
}
