
# Copyright 2021 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, gazebo-ros-control }:
buildRosPackage {
  pname = "ros-melodic-khi-duaro-gazebo";
  version = "1.2.0-r1";

  src = fetchurl {
    url = "https://github.com/Kawasaki-Robotics/khi_robot-release/archive/release/melodic/khi_duaro_gazebo/1.2.0-1.tar.gz";
    name = "1.2.0-1.tar.gz";
    sha256 = "c72abe21a0c26ae8f45f33e712adc52cf35d9ebf41bcf7a1b2605d586b48773a";
  };

  buildType = "catkin";
  buildInputs = [ gazebo-ros-control ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = ''The khi_duaro_gazebo package'';
    license = with lib.licenses; [ bsdOriginal ];
  };
}
