
# Copyright 2021 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, leo, leo-viz }:
buildRosPackage {
  pname = "ros-melodic-leo-desktop";
  version = "0.2.3-r1";

  src = fetchurl {
    url = "https://github.com/fictionlab-gbp/leo_desktop-release/archive/release/melodic/leo_desktop/0.2.3-1.tar.gz";
    name = "0.2.3-1.tar.gz";
    sha256 = "828695ff682318fcd2fdf8a3228fa3ede6f04fd796a5fcff9183b750297c6aa3";
  };

  buildType = "catkin";
  propagatedBuildInputs = [ leo leo-viz ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = ''Metapackage of software for operating Leo Rover from ROS desktop'';
    license = with lib.licenses; [ mit ];
  };
}
