
# Copyright 2021 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, diagnostic-updater, lm_sensors, roscpp }:
buildRosPackage {
  pname = "ros-melodic-libsensors-monitor";
  version = "0.2.1-r1";

  src = fetchurl {
    url = "https://github.com/ros-gbp/linux_peripheral_interfaces-release/archive/release/melodic/libsensors_monitor/0.2.1-1.tar.gz";
    name = "0.2.1-1.tar.gz";
    sha256 = "ac985f7fcc197aa2fde6e0031c917123b145ef51f9d0c540204ce9dafbf5fab1";
  };

  buildType = "catkin";
  propagatedBuildInputs = [ diagnostic-updater lm_sensors roscpp ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = ''A ROS node for using libsensors to provide diagnostics information about the sensors on a computer system.'';
    license = with lib.licenses; [ bsdOriginal ];
  };
}
