
# Copyright 2021 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, dynamic-reconfigure, rospy }:
buildRosPackage {
  pname = "ros-melodic-network-traffic-control";
  version = "1.0.16-r1";

  src = fetchurl {
    url = "https://github.com/pr2-gbp/linux_networking-release/archive/release/melodic/network_traffic_control/1.0.16-1.tar.gz";
    name = "1.0.16-1.tar.gz";
    sha256 = "9d8832fc6ede4a2a054979e185c34e60452bb6757ed942bb907b622127d62dc7";
  };

  buildType = "catkin";
  propagatedBuildInputs = [ dynamic-reconfigure rospy ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = ''A ROS node that allows control of network emulation parameters such as bandwidth, loss and latency for a Linux network interface.'';
    license = with lib.licenses; [ bsdOriginal ];
  };
}
