
# Copyright 2021 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, move-base }:
buildRosPackage {
  pname = "ros-melodic-pr2-navigation-config";
  version = "0.1.28-r1";

  src = fetchurl {
    url = "https://github.com/pr2-gbp/pr2_navigation-release/archive/release/melodic/pr2_navigation_config/0.1.28-1.tar.gz";
    name = "0.1.28-1.tar.gz";
    sha256 = "1df639c4470fe66bbcb909d0adba8b5d868e4122598992ee162467b357a95f2a";
  };

  buildType = "catkin";
  propagatedBuildInputs = [ move-base ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = ''This package holds common configuration files for running the'';
    license = with lib.licenses; [ bsdOriginal ];
  };
}
