
# Copyright 2021 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, pcl, pcl-conversions, pcl-ros, roscpp }:
buildRosPackage {
  pname = "ros-melodic-scan-to-cloud-converter";
  version = "0.3.3-r2";

  src = fetchurl {
    url = "https://github.com/ros-gbp/scan_tools-release/archive/release/melodic/scan_to_cloud_converter/0.3.3-2.tar.gz";
    name = "0.3.3-2.tar.gz";
    sha256 = "3ec240f339589c404db018ccf98fda92f2dc33e740678a6246ffa248f2dab533";
  };

  buildType = "catkin";
  propagatedBuildInputs = [ pcl pcl-conversions pcl-ros roscpp ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = ''Converts LaserScan to PointCloud messages.'';
    license = with lib.licenses; [ bsdOriginal ];
  };
}
