
# Copyright 2021 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, rospy, wireless-msgs }:
buildRosPackage {
  pname = "ros-melodic-wireless-watcher";
  version = "0.1.1-r1";

  src = fetchurl {
    url = "https://github.com/clearpath-gbp/wireless-release/archive/release/melodic/wireless_watcher/0.1.1-1.tar.gz";
    name = "0.1.1-1.tar.gz";
    sha256 = "32d768d95a5b8d27ebf9dcc66110b1dfac0e042292ddfe597725f62c954f36d0";
  };

  buildType = "catkin";
  propagatedBuildInputs = [ rospy wireless-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = ''A Python-based which publishes connection information about a linux wireless interface.'';
    license = with lib.licenses; [ bsdOriginal ];
  };
}
