
# Copyright 2021 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, cv-bridge, geometry-msgs, mavros, mavros-msgs, rospy, sensor-msgs, tf }:
buildRosPackage {
  pname = "ros-noetic-drone-wrapper";
  version = "1.4.0-r1";

  src = fetchurl {
    url = "https://github.com/JdeRobot/drones-release/archive/release/noetic/drone_wrapper/1.4.0-1.tar.gz";
    name = "1.4.0-1.tar.gz";
    sha256 = "a08c33118fc65b516e994a1c0d433256fd4e3a9b2a2f686726dcb6915e234b8e";
  };

  buildType = "catkin";
  propagatedBuildInputs = [ cv-bridge geometry-msgs mavros mavros-msgs rospy sensor-msgs tf ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = ''The drone_wrapper package'';
    license = with lib.licenses; [ mit ];
  };
}
