
# Copyright 2021 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, joy-teleop, key-teleop, mouse-teleop, teleop-tools-msgs }:
buildRosPackage {
  pname = "ros-noetic-teleop-tools";
  version = "0.4.0-r1";

  src = fetchurl {
    url = "https://github.com/ros-gbp/teleop_tools-release/archive/release/noetic/teleop_tools/0.4.0-1.tar.gz";
    name = "0.4.0-1.tar.gz";
    sha256 = "f662b3bbf0d8350707ba9ca3547375564a8c2f5394e64663edc0368e0ee044b8";
  };

  buildType = "catkin";
  propagatedBuildInputs = [ joy-teleop key-teleop mouse-teleop teleop-tools-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = ''A set of generic teleoperation tools for any robot.'';
    license = with lib.licenses; [ bsdOriginal ];
  };
}
